{% load static %}

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Fontawesome CSS -->
    <script defer src="https://use.fontawesome.com/releases/v5.0.9/js/all.js"
            integrity="sha384-8iPTk2s/jMVj81dnzb/iFR2sdA7u06vHJyyLlAd4snFpCl/SnyUjRrbdJsw1pGIl"
            crossorigin="anonymous"></script>

    <link rel="stylesheet" href="{% static 'gps/style.css' %}">

    {% block add-head %}
    {% endblock %}

    <title>{{ app.site.name }} &centerdot; {% block title %}Home{% endblock %}</title>
</head>
<body>
{% include 'gps/navbar.html' %}

<div class="container">
    {% for message in messages %}
        <div class="alert alert-dismissible alert-{{ message.tags }} fade show" role="alert">
            {{ message|safe }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endfor %}

    <div class="row">
        <div class="col-12">
            <h1>{% block h1 %}{% endblock %}</h1>
        </div>
    </div>
    {% block quick_actions %}
        {% if quick_actions %}
            <div class="row">
                <div class="col-12 d-none d-md-block"> {# Visible only on large screens #}
                    {% for qa in quick_actions %}
                        <a href="{{ qa.url }}" class="btn btn-{{ qa.category }}">
                            {% if qa.icon %}<i class="{{ qa.icon }}"></i>{% endif %}
                            {{ qa.display }}
                        </a>
                    {% endfor %}
                </div>
                <div class="col-12 d-md-none"> {# Visible only on small screens #}
                    {% for qa in quick_actions %}
                        <a href="{{ qa.url }}" class="btn btn-{{ qa.category }} btn-block">
                            {% if qa.icon %}<i class="{{ qa.icon }}"></i>{% endif %}
                            {{ qa.display }}
                        </a>
                    {% endfor %}
                </div>
            </div>
        {% endif %}
    {% endblock %}
    {% block content %}
    {% endblock %}
</div>

<!-- Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>

<script>
    // Check that service workers are registered
    if ('serviceWorker' in navigator) {
        // Use the window load event to keep the page load performant
        window.addEventListener('load', () => {
            navigator.serviceWorker.register('{% url 'sw' %}');
        });
    }
</script>

{% block js %}
{% endblock %}
</body>
</html>
